package com.gic.haoban.manage.api.qdto.chat;

import com.gic.api.base.commons.BasePageInfo;
import com.gic.commons.web.qo.PageQo;

import java.io.Serializable;

/**
 * @author shangfeng
 * @date 2024-10-08 14:00:59
 */
public class GroupChatActivityInviteLogQDTO extends BasePageInfo implements Serializable {

    private static final long serialVersionUID = -3517354863714637621L;

    private String enterpriseId;

    /**
     * 社群活动id
     */
    private Long chatActivityId;

    /**
     * 邀请人会员ID
     */
    private String inviterMemberId;

    /**
     * 有效邀请类型 1有效0无效
     */
    private Integer inviteType;

    /**
     * 批次
     */
    private Integer batchNumber;

    /**
     * 排序字段
     */
    private String sortFiled;

    /**
     * 排序类型
     */
    private String sortType;

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Long getChatActivityId() {
        return chatActivityId;
    }

    public void setChatActivityId(Long chatActivityId) {
        this.chatActivityId = chatActivityId;
    }

    public String getInviterMemberId() {
        return inviterMemberId;
    }

    public void setInviterMemberId(String inviterMemberId) {
        this.inviterMemberId = inviterMemberId;
    }

    public Integer getInviteType() {
        return inviteType;
    }

    public void setInviteType(Integer inviteType) {
        this.inviteType = inviteType;
    }

    public Integer getBatchNumber() {
        return batchNumber;
    }

    public void setBatchNumber(Integer batchNumber) {
        this.batchNumber = batchNumber;
    }

    public String getSortFiled() {
        return sortFiled;
    }

    public void setSortFiled(String sortFiled) {
        this.sortFiled = sortFiled;
    }

    public String getSortType() {
        return sortType;
    }

    public void setSortType(String sortType) {
        this.sortType = sortType;
    }
}
